# GEXTPARALLELBUILDING

extdesc="the OpenCV Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GSDLHOME" = "x" ] ; then
  if [ -e ../../setup.bash ] ; then
    export gsopt_noexts=1 && pushd ../.. && source setup.bash && popd
    export gsopt_noexts=
  elif [ -e ../../gs3-setup.sh ] ; then
    export gsopt_noexts=1 && pushd ../.. && source gs3-setup.sh && popd
    export gsopt_noexts=
  fi
fi

if test -z $GSDLOS ; then
  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
  # check for running bash under Cygwin
  if [ test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ] ; then
    GSDLOS=windows
  fi
  # check for running bash under MinGW/MSys
  if [ test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ] ; then
    GSDLOS=windows
  fi
  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
  export GSDLOS
fi

if [ "x$GEXT_OPENCV" = "x" ] ; then
  export GEXT_OPENCV=`pwd`
  export GEXTOPENCV_INSTALLED=$GEXT_OPENCV/$GSDLOS

  if [ -d "$GEXTOPENCV_INSTALLED/bin/script" ] ; then
    export PATH=$GEXTOPENCV_INSTALLED/bin/script:$PATH
  fi

  if [ -d "$GEXTOPENCV_INSTALLED/bin" ] ; then
    export PATH=$GEXTOPENCV_INSTALLED/bin:$PATH
  fi

  if [ -d "$GEXTOPENCV_INSTALLED/lib" ] ; then
    if [ "$GSDLOS" = "linux" ] ; then
      export LD_LIBRARY_PATH=$GEXTOPENCV_INSTALLED/lib:$LD_LIBRARY_PATH
    elif [ "$GSDLOS" = "darwin" ] ; then
      export DYLD_LIBRARY_PATH=$GEXTOPENCV_INSTALLED/lib:$DYLD_LIBRARY_PATH
    fi
  fi

  extdir=${GEXT_OPENCV##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi

  echo "+Your environment is now setup for $extdesc in Greenstone"
else
  echo "+Your environment is already setup for $extdesc in Greenstone"
fi


